Bug 1030996 - Need better usage help text for --add and --remove options of repo-override command
Need better usage help text for --add and --remove options of repo-override c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michael Stead
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-11-15 08:02 EST by Rehana
Modified: 2014-06-17 20:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:08:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rehana 2013-11-15 08:02:36 EST
Description of problem:


Version-Release number of selected component (if applicable):
subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.33-1
subscription-manager: 1.10.7-1.el7
python-rhsm: 1.10.6-1.el7

How reproducible:
3/3

Steps to Reproduce:
1.subscription-manager repo-override --add=test:enable
Error: You must specify a repository to modify
2.
[root@dhcp70-124 product]# subscription-manager repo-override --remove=test
Error: You must specify a repository to modify
3.

Actual results:
the help text for above mentioned commands are

  --remove=NAME         name of the override to remove (can be specified more
                        than once)
  --add=NAME:VALUE      name and value of the option to override separated by
                        a colon (can be specified more than once)

Expected results:
It will be good to mention the usage for the above commands along with the helptext
ex:
--remove=NAME         name of the override to remove (can be specified more
                        than once), used with --repo option
                        than once)
  --add=NAME:VALUE      name and value of the option to override separated by
                        a colon (can be specified more than once), used with 
                        --repo option

Additional info:
Comment 1 Michael Stead 2013-11-26 09:18:51 EST
Fixed in PR:
https://github.com/candlepin/subscription-manager/pull/827

Available in:
subscription-manager-1.10.8-1+
Comment 3 John Sefler 2013-12-06 17:21:46 EST
Verifying Version....
[root@jsefler-7 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.8.33-1
subscription-manager: 1.10.8-1.el7
python-rhsm: 1.10.8-1.el7


[root@jsefler-7 ~]# subscription-manager repo-override --help
Usage: subscription-manager repo-override [OPTIONS]

Manage custom content repository settings

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy URL in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for HTTP proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for HTTP proxy with basic authentication
  --repo=REPOID         repository to modify (can be specified more than once)
  --remove=NAME         name of the override to remove (can be specified more
                        than once); used with --repo option.
  --add=NAME:VALUE      name and value of the option to override separated by
                        a colon (can be specified more than once); used with
                        --repo option.
  --remove-all          remove all overrides; can be specific to a repository
                        by providing --repo
  --list                list all overrides; can be specific to a repository by
                        providing --repo

VERIFIED: The clause "used with --repo option" has been appended to the help text for options --add and --remove
Comment 4 Ludek Smid 2014-06-13 06:08:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.